Package org.springframework.batch.repeat.listener

# Class RepeatListenerSupport

java.lang.Object
org.springframework.batch.repeat.listener.RepeatListenerSupport

All Implemented Interfaces:
  `RepeatListener`

@Deprecated public class RepeatListenerSupport extends Object implements RepeatListener
Deprecated.
as of v5.0 in favor of the default methods in `RepeatListener`.
Empty method implementation of `RepeatListener`.

Author:
  Dave Syer, Mahmoud Ben Hassine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepeatListenerSupport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `after(RepeatContext context, RepeatStatus result)`
  Deprecated.
  Called by the framework after each item has been processed, unless the item processing results in an exception.
  `void`
  `before(RepeatContext context)`
  Deprecated.
  Called by the framework before each batch item.
  `void`
  `close(RepeatContext context)`
  Deprecated.
  Called once at the end of a complete batch, after normal or abnormal completion (i.e.
  `void`
  `onError(RepeatContext context, Throwable e)`
  Deprecated.
  Called when a repeat callback fails by throwing an exception.
  `void`
  `open(RepeatContext context)`
  Deprecated.
  Called once at the start of a complete batch, before any items are processed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepeatListenerSupport

    public RepeatListenerSupport()
    Deprecated.

- ## Method Details

  - ### before

    public void before(RepeatContext context)
    Deprecated.
    Description copied from interface: `RepeatListener`
    Called by the framework before each batch item. Implementers can halt a batch by setting the complete flag on the context.
    Specified by:
      `before` in interface `RepeatListener`
    Parameters:
      `context` - the current batch context.

  - ### after

    public void after(RepeatContext context, RepeatStatus result)
    Deprecated.
    Description copied from interface: `RepeatListener`
    Called by the framework after each item has been processed, unless the item processing results in an exception. This method is called as soon as the result is known.
    Specified by:
      `after` in interface `RepeatListener`
    Parameters:
      `context` - the current batch context
      `result` - the result of the callback

  - ### close

    public void close(RepeatContext context)
    Deprecated.
    Description copied from interface: `RepeatListener`
    Called once at the end of a complete batch, after normal or abnormal completion (i.e. even after an exception). Implementers can use this method to clean up any resources.
    Specified by:
      `close` in interface `RepeatListener`
    Parameters:
      `context` - the current batch context.

  - ### onError

    public void onError(RepeatContext context, Throwable e)
    Deprecated.
    Description copied from interface: `RepeatListener`
    Called when a repeat callback fails by throwing an exception. There will be one call to this method for each exception thrown during a repeat operation (e.g. a chunk).
    There is no need to re-throw the exception here - that will be done by the enclosing framework.
    Specified by:
      `onError` in interface `RepeatListener`
    Parameters:
      `context` - the current batch context
      `e` - the error that was encountered in an item callback.

  - ### open

    public void open(RepeatContext context)
    Deprecated.
    Description copied from interface: `RepeatListener`
    Called once at the start of a complete batch, before any items are processed. Implementers can use this method to acquire any resources that might be needed during processing. Implementers can halt the current operation by setting the complete flag on the context. To halt all enclosing batches (the whole job), the would need to use the parent context (recursively).
    Specified by:
      `open` in interface `RepeatListener`
    Parameters:
      `context` - the current batch context